Package groovy.lang

## Class MissingPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.MissingPropertyException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `IllegalPropertyAccessException`, `MissingPropertyExceptionNoStack`, `ReadOnlyPropertyException`

      public class MissingPropertyException
      extends GroovyRuntimeException

  An exception occurred if a dynamic property dispatch fails with an unknown property. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.Object` | `MPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingPropertyException​(java.lang.String message)` |
    `MissingPropertyException​(java.lang.String property, java.lang.Class type)` |
    `MissingPropertyException​(java.lang.String property, java.lang.Class type, java.lang.Throwable t)` |
    `MissingPropertyException​(java.lang.String message, java.lang.String property, java.lang.Class type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessageWithoutLocationText()` |
    `java.lang.String` | `getProperty()` |
    `java.lang.Class` | `getType()` |

    - ### Methods inherited from class groovy.lang.GroovyRuntimeException

      `getLocationText, getMessage, getModule, getNode, setModule`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MPE

          public static final java.lang.Object MPE

  - ### Constructor Detail

    - #### MissingPropertyException

          public MissingPropertyException​(java.lang.String property,
                                          java.lang.Class type)

    - #### MissingPropertyException

          public MissingPropertyException​(java.lang.String property,
                                          java.lang.Class type,
                                          java.lang.Throwable t)

    - #### MissingPropertyException

          public MissingPropertyException​(java.lang.String message)

    - #### MissingPropertyException

          public MissingPropertyException​(java.lang.String message,
                                          java.lang.String property,
                                          java.lang.Class type)

  - ### Method Detail

    - #### getMessageWithoutLocationText

          public java.lang.String getMessageWithoutLocationText()

      Overrides:
        `getMessageWithoutLocationText` in class `GroovyRuntimeException`

    - #### getProperty

          public java.lang.String getProperty()

      Returns:
        the name of the property that could not be found

    - #### getType

          public java.lang.Class getType()

      Returns:
        The type on which the property was attempted to be called